Page 1 of 3 123 Last
  1. #1

    Problem with the Library

    It's been a while since I fired up FG (life managed to get in the way there for a while), so I managed to finally have some free time, and I thought I would see if I could get a new campaign created for some friends.

    The only problem is there appears to be something wrong with the library, but only in the RM ruleset as far as I can tell (I've tested out most of the others, and cannot recreate it in any other one). This is with the latest 1.7.6 version.

    What I see is basically that when I open the modules for Arms Law, Character Law, Spell Law, and the included FG Battle Maps, I cannot scroll the library all the way to the bottom. It is normally not a problem, except I do have some custom modules I built, and it makes it hard to select them. I can basically resize the window, and eventually get all of them to show up. My concern is that even with the monitors I currently have, eventually this might not be an option. I'll note that I never saw this previously when I was fiddling around with FG, I could load up a bunch of modules, and never had trouble with scrolling to the bottom if I needed to in the Library.

    If I try to grab the scroll bar, it just ends up moving the whole Library window around, and using the mouse scroll wheel does not work either.

    Here is what I am referring to, in this one I can actually see the Spell Law entry, however, even though the scroll bar indicates that I should be able to scroll down farther, it will not for some reason There are only default FG modules loaded on this one.



    Here is basically the same image as above, except I have resized the window.



    And here is a more extreme example with one of the custom modules I created loaded. You can just see the corner of the Spell Law Module at the bottom of the picture. I cannot scroll down any farther to get Spell Law to be visible (either with trying to drag the scroll bar, or using the scroll wheel on the mouse).



    Anyone else see this and know of a fix?
    Last edited by Sulimo; March 18th, 2017 at 05:38.
    Not all who wander are lost.

  2. #2
    damned's Avatar
    Join Date
    Mar 2011
    Location
    Australia
    Posts
    18,878
    Blog Entries
    1
    Welcome back Sulimo
    Check you dont have any unpacked Rolemaster rulesets in your /rulesets directory.
    Delete the rolemaster pak file and re-run the updater.

    MoreCore - Generic Ruleset
    --- Projects ---
    Extensions | Tutorials | MoreCore | MoreCore Themes | Call of Cthulhu | Maelstrom | FG Con

  3. #3
    Quote Originally Posted by damned View Post
    Welcome back Sulimo
    Check you dont have any unpacked Rolemaster rulesets in your /rulesets directory.
    Delete the rolemaster pak file and re-run the updater.
    Tried that too, I completely uninstalled FG (have to take that one up in the other support forum, it does not seem to register properly to uninstall), copied out the items I wanted from the Data folder, then deleted everything else so I could start completely fresh. The only thing I did not go do was to remove the abandoned reg keys (maybe I'll give that a try if nothing else works).

    With nothing but the items that come with the download it still happens.
    Not all who wander are lost.

  4. #4
    So, on a hunch, I fired up an old computer with FG on it, and with the exact same modules open, the library behaves properly.

    This is with FG ver. 3.1.5 and RM ver. 1.6.2 (at least opening up the .pak file and looking at the base.xml shows that version).

    Is there a list somewhere that would tell me what files I could transfer to see if the issue is FG, or the ruleset?
    I'm thinking if I transfer the ruleset files from the computer that is working to the non-working one, that would be a good test to see where the actual problem lies.
    Not all who wander are lost.

  5. #5

    Join Date
    Jun 2013
    Location
    Isanti, MN
    Posts
    2,804
    I have FG 3.2.3, RM 1.7.6. I'm seeing the same problem.

  6. #6
    Thanks for letting me know. I will try to track down the issue.

    Rolemaster Classic for FG Wish List - http://rm4fg.idea.informer.com/

  7. #7
    Ardem's Avatar
    Join Date
    Nov 2011
    Location
    Sydney, Australia
    Posts
    707
    Just make sure you do not have an unpacked version of the pak file in the ruleset folder, this take precedence over a pak version. I am saying this because it look like you like to get into the back end and it one the easier things to overlook.

  8. #8
    Quote Originally Posted by Ardem View Post
    Just make sure you do not have an unpacked version of the pak file in the ruleset folder, this take precedence over a pak version. I am saying this because it look like you like to get into the back end and it one the easier things to overlook.
    Damned said pretty much the same thing in the first reply to this thread.

    You can see my response in the very next reply.
    Last edited by Sulimo; March 20th, 2017 at 05:24.
    Not all who wander are lost.

  9. #9
    Ardem's Avatar
    Join Date
    Nov 2011
    Location
    Sydney, Australia
    Posts
    707
    Sorry i tend to ignore what Damned normally says its always utter crap <wink>

  10. #10
    damned's Avatar
    Join Date
    Mar 2011
    Location
    Australia
    Posts
    18,878
    Blog Entries
    1
    Quote Originally Posted by Ardem View Post
    Sorry i tend to ignore what Damned normally says its always utter crap <wink>
    Oi! Eye Con is on the week after FG Con... You gotta make one or the other soon!

    MoreCore - Generic Ruleset
    --- Projects ---
    Extensions | Tutorials | MoreCore | MoreCore Themes | Call of Cthulhu | Maelstrom | FG Con

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in

Log in